<template>
  <div>
    <h1>
      <font-awesome-icon
        class="clickable"
        :icon="isVisible ? 'chevron-down' : 'chevron-right'"
        @click="toggleVisible"
      />
      <div
        class="major-header clickable pl-1"
        style="display:inline-flex;"
        @click="toggleVisible"
      >
        {{ header }}
      </div>
    </h1>
    <hr>
    <b-collapse v-model="isVisible">
      <slot />
    </b-collapse>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    header: {
      type: String,
      default: 'Header',
    },
    visible: {
      type: Boolean,
      default: false,
    },
  },

  data() {
    return {
      isVisible: this.visible,
    };
  },

  methods: {
    toggleVisible() {
      this.isVisible = !this.isVisible;
    },
  },
});
</script>

<style>
.clickable {
  cursor: pointer;
}
</style>
